Summary:	A real mode 80x86 assembler and linker
Name:		dev86
Version:	0.16.17
Release:	%mkrel 1
License:	GPL
Group:		Development/Other
Url:		http://homepage.ntlworld.com/robert.debath/dev86/
Source0:	http://homepage.ntlworld.com/robert.debath/dev86/Dev86src-%{version}.tar.bz2
Patch5:		dev86-0.16.3-missing-header.patch.bz2
#Patch6:		dev86-0.16.16-overflow.patch.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	bin86
Provides:	bin86
ExclusiveArch:	%{ix86} ppc

%description
The dev86 package provides an assembler and linker for real mode 80x86
instructions. You'll need to have this package installed in order to
build programs that run in real mode, including LILO and the kernel's
bootstrapping code, from their sources.

You should install dev86 if you intend to build programs that run in real
mode from their source code.

%package	devel
Summary:	A development files for dev86
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description	devel
The dev86 package provides an assembler and linker for real mode 80x86
instructions. You'll need to have this package installed in order to
build programs that run in real mode, including LILO and the kernel's
bootstrapping code, from their sources.

The dev86-devel package provides C headers need to use bcc, the C
compiler for real mode x86.

You should install dev86 if you intend to build programs that run in real
mode from their source code.

Note that you don't need dev86-devel package in order to build
a kernel.

%prep
%setup -q
%patch5 -p1 -b .errno
#%patch6 -p1 -b .overflow

mkdir -p lib/bcc
ln -s ../../include lib/bcc/include

%build
make <<!FooBar!
5
quit
!FooBar!

%install
rm -rf $RPM_BUILD_ROOT

make DIST=$RPM_BUILD_ROOT MANDIR=%{_mandir} install install-man

#install -m755 -s $RPM_BUILD_ROOT/lib/elksemu $RPM_BUILD_ROOT%{_bindir}
#rm -rf $RPM_BUILD_ROOT/lib/

pushd $RPM_BUILD_ROOT%{_bindir}
rm -f nm86 size86
ln objdump86 nm86
ln objdump86 size86
popd

# %doc --parents would be overkill
for i in elksemu unproto bin86 copt dis88 bootblocks; do
	ln -f $i/README README.$i
done
ln -f bin86/README-0.4 README-0.4.bin86
ln -f bin86/ChangeLog ChangeLog.bin86

# move header files out of %{_includedir} and into %{_libdir}/bcc/include
#mv $RPM_BUILD_ROOT%{_includedir} $RPM_BUILD_ROOT%{_libdir}/bcc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README MAGIC Contributors README.bootblocks README.copt README.dis88
%doc README.elksemu README.unproto README-0.4.bin86 README.bin86 ChangeLog.bin86
%dir %{_libdir}/bcc
#%dir %{_libdir}/bcc/i86
#%dir %{_libdir}/bcc/i386
%{_bindir}/*
#%{_libdir}/bcc/bcc-cc1
#%{_libdir}/bcc/copt
#%{_libdir}/bcc/unproto
#%{_libdir}/bcc/i86/crt*
#%{_libdir}/bcc/i386/crt*
#%{_libdir}/bcc/i86/rules*
%{_libdir}/bcc/*
#%{_libdir}/liberror.txt
%{_mandir}/man1/*
%exclude %{_libdir}/bcc/i386/lib*

%files devel
%defattr(-,root,root)
%doc README
%dir %{_libdir}/bcc/include
%{_libdir}/bcc/include/*
#%{_libdir}/bcc/i86/lib*
%{_libdir}/bcc/i386/lib*

%changelog
* Sun Jul 23 2006 Emmanuel Andry <eandry@mandriva.org> 0.16.17-1mdv2007.0
- 0.16.17
- Fix URL and source
- %%mkrel
- drop patch 6 (applied upstream)

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.16.16-1mdk
- 0.16.16
- Fix invalid memory allocation in bcc.c:build_prefix () (P6 from fedora)
- drop P0-P4
- cleanups

* Sat Jun 19 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.16.3-3mdk
- build on ppc as well

* Thu Jul 24 2003 Götz Waschk <waschk@linux-mandrake.com> 0.16.3-2mdk
- small patch to make it compile with the current gcc

* Wed Nov 06 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.16.3-1mdk
- new release
- fix build
- fix %%doc overwriting README

* Tue Mar 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.15.5-3mdk
- add Url
- rpmlint cleanups

* Fri Sep 28 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.15.5-2mdk
- Provides: bin86 as well.

* Sat May 26 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.15.5-1mdk
- Merge rh patches.
- 0.15.5.

* Tue Nov 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.15.1-2mdk
- Make almost rpmlint happy.

* Thu Sep 14 2000 Francis Galiegue <fg@mandrakesoft.com> 0.15.1-1mdk
- Use links, not symlinks!
- 0.15.1
- include ar86 (why wasn't it in before?)

* Tue Aug 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.15.0-3mdk
- split out -devel package (needed only for elks developpers ...)
- make rpmlint happier
- use macros ...

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.15.0-2mdk
- BM.

* Wed Jun 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.15.0-1mdk
- First mandrake version from rh package.
